import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询周转管理列表
export function listTurnover(query) {
  return request({
    url: baseUrl + '/business/turnover/list',
    method: 'get',
    params: query
  })
}

// 查询周转管理详细
export function getTurnover(id) {
  return request({
    url: baseUrl + '/business/turnover/' + id,
    method: 'get'
  })
}

// 新增周转管理
export function addTurnover(data) {
  return request({
    url: baseUrl + '/business/turnover',
    method: 'post',
    data: data
  })
}

// 修改周转管理
export function updateTurnover(data) {
  return request({
    url: baseUrl + '/business/turnover',
    method: 'put',
    data: data
  })
}

// 删除周转管理
export function delTurnover(id) {
  return request({
    url: baseUrl + '/business/turnover/' + id,
    method: 'delete'
  })
}
